Bug 819252

Summary: [abrt] imsettings-xim-1.2.9-1.fc16: g_object_unref: Process /usr/bin/imsettings-xim was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: WhoEver <bunzon>
Component: imsettingsAssignee: Akira TAGOH <tagoh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i18n-bugs, tagoh, xiuyuan021
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:a01deaaa4bdf5937c40b0e3f50ca7305b5ce2758
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-12 23:08:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace
none
File: coredump
none
File: maps none

Description WhoEver 2012-05-05 21:08:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        imsettings-xim --address=unix:abstract=/tmp/imsettings-xim --replace
crash_function: g_object_unref
executable:     /usr/bin/imsettings-xim
kernel:         3.3.2-6.fc16.i686
pid:            19134
pwd:            /
reason:         Process /usr/bin/imsettings-xim was killed by signal 11 (SIGSEGV)
time:           Sat 05 May 2012 06:03:17 PM PDT
uid:            1001
username:       wh0ever
xsession_errors: 

backtrace:      Text file, 11639 bytes
maps:           Text file, 9911 bytes

build_ids:
:b5d8dba6c9d0548815a8aa120f136a6c125c21e1
:4b65b2ab36082e9552ad2014fac436421c4f65ad
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:96b666a7f6d7a80ea6f9aef54f0cdd0f6190c058
:a031ec247ebfa2c35d637f0c427474d7a0e43904
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:42859023e4ec83a16446984b1e0c7510a38731c4
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:798697a352bae4178953ba502fb04f33dd0ed987
:b15b3676f0d78173fc1a46eb9e7e32f4b3cca6bb
:d2fa47ac2ef035e4573199292f6d6352a0132124
:e5644d46de04e7d068958a1e45d27390d6e61a25
:7b428cc791b4c5e1d6dbe1d1c0997a8485c3d7db
:2c4e6e5956dc136a43a31e33e4796e16fc35b5cc
:6ecdde4147fa0e931f02dbd92c5a6c58709b4e9f
:0351a659bc0812678c67f62af1f802a5f367befc
:20e55e40b2f98606fcb0891424b09eb7e723ce8f
:15bab279752ad8e30f901abae77bcb1ed1f38977
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:23d1086014ed5544b3df4cee1f95694032252322
:c36985d76169b6d68cc22962b532889701f7d4aa
:ced82078ed2f1dd18f92fb24bf6b760a4f5b178c
:faa844e460702359079f4f15f1f881e87777abb6
:7797557c8de2017a8a26fca60803b0ca826bd835
:5031c4c03882fc3c5cc3dd84e2b4491d8bd08af3
:2db77e82f9cf6054c8c51f0e059ff75075dbbc36
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:2aed5f2860186d237ceea6f6d26c433204f9d5a1
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:e42d500dc9e803be62453540b4c81a12e96a006a
:4c04033d01a9d6b157b2521ae3409a0ba0f5f3a3
:603ba20ff8a7436111b21951bb7f7407a643ec98
:70ec0be07448920a83c0bceafed09d46008e56b1
:62bc6c871771b9baa0afca083006eac5b2d013ee
:10cec21724c13b95ec03f00985b0405412817a49
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:4b045111479e1ec97d0ef5668482bf808e8dadba
:55433495aa80cf9e1f994ea7e7ae278422ef1ede

dso_list:
:/lib/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.i686 (Fedora Project) 1335257193
:/usr/lib/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1335260115
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.i686 (Fedora Project) 1335258116
:/lib/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257344
:/usr/lib/libimsettings.so.5.2.0 imsettings-libs-1.2.9-1.fc16.i686 (Fedora Project) 1335584288
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1335257475
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1335257387
:/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.i686 (Fedora Project) 1335257367
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1335257487
:/usr/lib/libgdk-x11-2.0.so.0.2400.8 gtk2-2.24.8-3.fc16.i686 (Fedora Project) 1335260180
:/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc16.i686 (Fedora Project) 1335257411
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1335257475
:/usr/lib/libXext.so.6.4.0 libXext-1.3.0-1.fc16.i686 (Fedora Project) 1335257476
:/usr/lib/libXi.so.6.1.0 libXi-1.4.5-1.fc16.i686 (Fedora Project) 1335257478
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257344
:/usr/bin/imsettings-xim imsettings-xim-1.2.9-1.fc16.i686 (Fedora Project) 1335627056
:/lib/libm-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257344
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1335257476
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1335257476
:/lib/libselinux.so.1 libselinux-2.1.6-6.fc16.i686 (Fedora Project) 1335257363
:/lib/libresolv-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257344
:/lib/libz.so.1.2.5 zlib-1.2.5-6.fc16.i686 (Fedora Project) 1335257368
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257344
:/usr/lib/libgdk_pixbuf-2.0.so.0.2400.1 gdk-pixbuf2-2.24.1-1.fc16.i686 (Fedora Project) 1335257650
:/lib/libgmodule-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.i686 (Fedora Project) 1335257405
:/usr/lib/libgxim.so.2.1.1 libgxim-0.3.3-4.fc15.i686 (Fedora Project) 1335626864
:/usr/lib/libpng12.so.0.49.0 libpng-2:1.2.49-1.fc16.i686 (Fedora Project) 1335257378
:/lib/librt-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257344
:/usr/lib/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1335260115
:/usr/lib/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1335260115
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1335257476
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1335257487
:/usr/lib/libfreetype.so.6.7.1 freetype-2.4.6-5.fc16.i686 (Fedora Project) 1335257367
:/lib/libgthread-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.i686 (Fedora Project) 1335257405
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257300
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1335257476
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.i686 (Fedora Project) 1335258118
:/lib/libgobject-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.i686 (Fedora Project) 1335257405
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1335257344
:/lib/libgio-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.i686 (Fedora Project) 1335257405
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1335257475
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.i686 (Fedora Project) 1335257476
:/lib/libglib-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.i686 (Fedora Project) 1335257405
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1335257411
:/usr/lib/libpixman-1.so.0.24.4 pixman-0.24.4-1.fc16.i686 (Fedora Project) 1335257472

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-jOrirRyUPE,guid=b6e8fda6a49fda6c52e703e200003015
:XDG_SESSION_COOKIE=4ddd3e183596d9f01c5933600000001c-1336266190.707091-1137353679
:XDG_RUNTIME_DIR=/run/user/wh0ever
:DISPLAY=:1
:DESKTOP_SESSION=openbox
:WINDOWPATH=3
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=openbox
:XDG_VTNR=3
:USERNAME=wh0ever
:XDG_SESSION_ID=74
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-jOrirRyUPE,guid=b6e8fda6a49fda6c52e703e200003015
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-wh0ever-d4q7oL/database
:USER=wh0ever
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=18816
:SHLVL=1
:PWD=/home/wh0ever
:GNOME_KEYRING_CONTROL=/tmp/keyring-QRz7zW
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=wh0ever
:HOME=/home/wh0ever

event_log:
:2012-05-05-18:04:16> Analyzing coredump 'coredump'
:2012-05-05-18:04:18  Coredump references 45 debuginfo files, 1 of them are not installed
:2012-05-05-18:04:18  Setting up yum repositories
:2012-05-05-18:04:35  Looking for needed packages in repositories
:2012-05-05-18:05:17  Packages to download: 1
:2012-05-05-18:06:15  Downloading 0.25Mb, installed size: 0.25Mb. Continue? YES
:2012-05-05-18:06:22  Downloading (1 of 1) libgxim-debuginfo-0.3.3-4.fc15.i686.rpm: 100
:2012-05-05-18:06:22  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-05-05-18:04:16.19425/libgxim-debuginfo-0.3.3-4.fc15.i686.rpm
:2012-05-05-18:06:22  Caching files from unpacked.cpio made from libgxim-debuginfo-0.3.3-4.fc15.i686.rpm
:2012-05-05-18:06:22  Removing /tmp/abrt-tmp-debuginfo-2012-05-05-18:04:16.19425
:2012-05-05-18:06:22  All 45 debuginfo files are available
:2012-05-05-18:06:23  Generating backtrace
:2012-05-05-18:06:24  Backtrace is generated and saved, 11639 bytes
:2012-05-05-18:06:41> Element 'xsession_errors' saved
:2012-05-05-18:06:42> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 556cda1a-c1d4-45e7-9c34-16c6fe1dd53d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 6823.16
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3401
:System Memory: 2882
:System Swap: 4927
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.2-6.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:256:4163:33869) pci, agpgart-intel, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4172:32804:5339:0) pci, firewire_ohci, FIREWIRE, TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
:(4147:224:5339:224) pci, ehci_hcd, USB, USB 2.0
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4147:53:5339:53) pci, ohci_hcd, USB, USB
:(32902:7202:4163:33869) pci, i801_smbus, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7242:4163:33869) pci, None, PCI/ISA, H67 Express Chipset Family LPC Controller
:(4147:404:65535:65535) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(13192:33:0:0) pci, None, PCI/PCI, HB6 Universal PCI-PCI bridge (non-transparent mode)
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(4332:33081:5339:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4245:13586:4245:13586) pci, sata_sil, STORAGE, SiI 3512 SATALink Controller
:(4358:1045:4163:33679) pci, pata_via, STORAGE, M5A88-V EVO
:(32902:258:4163:33869) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7196:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:9294:4163:33869) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7192:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4163:33819) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(32902:7194:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(4147:53:5339:53) pci, ohci_hcd, USB, USB
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pc-lv_root / ext4 4096 4096 13081819 2666264 2010904 3276800 2040906 2040906
:/dev/sda2 /boot ext4 1024 1024 508745 384916 359316 128016 127736 127736
:/dev/mapper/vg_pc-lv_home /home ext4 4096 4096 107476161 105765441 100385755 26902528 26897589 26897589
:

var_log_messages:
:May  5 18:03:17 PC kernel: [12305.110227] imsettings-xim[19134]: segfault at 1 ip 4fd92001 sp bff0b910 error 4 in libgobject-2.0.so.0.3000.3[4fd83000+4c000]
:May  5 18:03:17 PC abrt[19135]: Saved core dump of pid 19134 (/usr/bin/imsettings-xim) to /var/spool/abrt/ccpp-2012-05-05-18:03:17-19134 (1306624 bytes)
Comment 1 WhoEver 2012-05-05 21:08:57 EDT
Created attachment 582350 [details]
File: backtrace
Comment 2 WhoEver 2012-05-05 21:09:21 EDT
Created attachment 582351 [details]
File: coredump
Comment 3 WhoEver 2012-05-05 21:09:23 EDT
Created attachment 582352 [details]
File: maps
Comment 4 Fedora End Of Life 2013-01-16 12:43:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Akira TAGOH 2013-01-23 04:48:05 EST
This issue should be still present in even the latest version. moving to rawhide.
Comment 6 Akira TAGOH 2013-01-23 04:50:49 EST
*** Bug 889963 has been marked as a duplicate of this bug. ***
Comment 7 Akira TAGOH 2013-02-12 23:08:28 EST
should be fixed in imsettings-1.6.0-2.fc19.